Bug 1377213 - ding-libs don't parse lines without an equal sign
Summary: ding-libs don't parse lines without an equal sign
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ding-libs
Version: 6.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Steeve Goveas
URL:
Whiteboard:
Depends On:
Blocks: 1374813 1379325 1379582
TreeView+ depends on / blocked
 
Reported: 2016-09-19 08:39 UTC by Jakub Hrozek
Modified: 2020-05-02 18:08 UTC (History)
6 users (show)

Fixed In Version: ding-libs-0.4.0-12.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1379325 1379582 (view as bug list)
Environment:
Last Closed: 2017-06-05 16:11:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github SSSD sssd issues 3792 None None None 2020-05-02 18:08:45 UTC

Description Jakub Hrozek 2016-09-19 08:39:23 UTC
Description of problem:
This bugzilla tracks the upstream ticket https://fedorahosted.org/sssd/ticket/2751

It's required to fix to process some GPO files from Windows.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Jakub Hrozek 2016-09-19 09:23:21 UTC
Upstream ticket:
https://fedorahosted.org/sssd/ticket/2751

Comment 2 Jakub Hrozek 2016-09-21 14:42:16 UTC
Michal, can you add some steps to reproduce?

Comment 3 Michal Zidek 2016-09-21 15:07:42 UTC
Steps to reproduce:

1. configure SSSD as AD client with enforced GPO access control. Add this line to the domain section in sssd.conf

ad_gpo_access_control = enforcing

2. Create user1 in AD

3. create a GPO for access control on the AD server. The GPO must apply to the client machine and allow login for user1. The GPO ini file must contain line with no equal sign. For example add this as the last line in the GPO ini file

foo,"2"

4. try to login as user1 from AD

Current result:
Access for user1 is denied.

Expected result:
user1 should be able to login.


Note You need to log in before you can comment on or make changes to this bug.